import type { MemoizedFn } from 'memoize-one';
export declare class AnalyticsQueue {
    private readonly tasks;
    private running;
    static get: MemoizedFn<() => AnalyticsQueue>;
    private constructor();
    private request;
    private pending;
    private process;
    schedule(task: Function): void;
}
